[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#473905: tramp: Please rename package to emacs21-tramp

Package: tramp
Version: 1:2.0.55-3
Severity: normal

When searching a package:

     apt-cache search tramp

The 1st line of debian/control::Description is displayed:

    remote file access in Emacs

This is too geneneric, now that Emacs 22 includes tramp.


Couple of choices:

1) rename package to emacs21-tramp and remove it along when emacs21* packages are
   removed (made obsolete by emacs23).

2) Change the 1st line description to clearly state it's for Emacs 21 only.
   This is mentioned in further paragraphs, but they are not seen during
   "apt-cache search" time. Something like:
    "remote file access for Emacs 21.x"

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-2-686 (SMP w/1 CPU core)
Locale: LANG=en_DK.UTF-8, LC_CTYPE=en_DK.UTF-8 (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/dash

Reply to: